Skip to main content
POST
/
v2
/
identities
curl --request POST \ --url 'https://api.orq.ai/v2/identities' \ --header 'Authorization: Bearer $ORQ_API_KEY' \ --header 'Content-Type: application/json' \ --data '{ "external_id": "customer_12345", "display_name": "Ada Lovelace", "email": "ada@example.com", "tags": ["enterprise", "beta"], "metadata": { "plan": "enterprise", "region": "eu" } }'
{
  "identity": {
    "_id": "<string>",
    "external_id": "<string>",
    "workspace_id": "<string>",
    "created": "<string>",
    "updated": "<string>",
    "display_name": "<string>",
    "email": "<string>",
    "avatar_url": "<string>",
    "tags": [
      "<string>"
    ],
    "metadata": {},
    "metrics": {
      "total_tokens": 123,
      "total_cost": 123,
      "total_requests": 123,
      "error_rate": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
external_id
string
required

Customer-provided stable identifier for this identity. Must be unique within the workspace.

display_name
string

Human-readable display name for the identity.

email
string

Email address associated with the identity.

avatar_url
string

URL of the identity avatar image.

tags
string[]

Free-form labels used to organize and filter identities.

metadata
object

Custom JSON metadata stored with the identity.

Response

201 - application/json

Identity created successfully.

identity
object
required

Newly created identity.